g = 10

G = "G_2"
dimG = 14

V = "adjoint"
dimV = 14

synthetic = False
# set this boolean to True or False
# to decide if you want synthetic output or complete output


########################################
# unipotent case

# load toolkit from stab_nilp.py
from stab_nilp import *

# list of non-trivial orbits (i.e., without that of 0)
# format [blocks,dim]

orbites_0=[
[[12]+[2],12],
[[5]+[3]*3,10],
[[4]*2+[3]+[1]*3,8],
[[3]+[2]*4+[1]*3,6]
]

nilp_complete (g, G, dimG, V, dimV, orbites_0, synthetic)



########################################
# semi-simple case

# load toolkit from stab_smspl.py
from stab_smspl import *

strates = [
    [12,[2]+12*[1], "generic"],
    [10,[4]+4*[2]+2*[1], "degenerate A generic"],
    [8, [8,6], "degenerate A i"],
    [6,[8,3,3], "degenerate A ii"],
    [10, 3*[4]+[2], "degenerate A iii o=4"],
    [10,[4]+2*[3]+2*[2], "degenerate A iii o=5"],
    [10,2*[4]+2*[2]+2*[1], "degenerate A iii o=6"],
    [10,3*[4]+2*[1], "degenerate B generic"],
    [8,[8,6], "degenerate B i"],
    [10, [5,5,4], "degenerate B ii"],
    [10,3*[4]+[2], "degenerate B iii"],
    [12, [5,5,4], "non degenerate gross check"],
    [12, 3*[4]+[2], "non degenerate gross check"],
    [8,[8,6], "non degenerate A i"]
]

smspl_complete (g, G, dimG, V, dimV, strates, synthetic)
